$mobile_break: 960px;

#nav_pusher {
    margin-bottom: 126px;
    
    @media (max-width: $mobile_break) {
        margin-bottom: 0;
    }
}

#nav {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 2;
    background: #fff;
    box-shadow: 0 -3px 7px #0004;

    @media (max-width: $mobile_break) {
        position: initial;
        margin-bottom: 112px;
    }
}

label[for="mobile_toggle"] {
    @media (min-width: $mobile_break + 1) {
        display: none;
    }

    position: fixed;
    width: 50px;
    height: 50px;
    z-index: 5;
    top: 68px;
    right: 15px;
    transform: translateY(-35%);
    background: #1d855d;
    border-radius: 50%;

    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;

    cursor: pointer;
    box-sizing: border-box;

    img {
        width: 100%;
        height: 100%;
    }
}

#mobile_toggle {
    display: none;

    &~nav>ul {
        width: 100%;
        transition: transform 1s;
        transform: translateX(-100%);
    }

    &:checked~nav>ul {
        transform: translateX(0);
    }
}

nav {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: stretch;

    padding: 0 20px;
    position: relative;

    max-width: 1440px;
    margin: auto;

    background: #fff;

    a:hover {
        color: inherit;
        text-decoration: inherit;
    }

    @media (max-width: $mobile_break) {
        top: 0;
        width: 100vw;
        box-sizing: border-box;
        flex-direction: column;
        align-items: center;
        z-index: 2;
        padding: 0;
        position: absolute;
    }

    .logo {
        padding: 20px 0;
        margin-right: 20px;

        @media (max-width: $mobile_break) {
            width: 100%;
            box-sizing: border-box;
            padding: 25px 0;
            margin-right: 0;

            display: flex;
            flex-flow: row nowrap;
            justify-content: center;
            align-items: center;
        }
    }

    .mobile_logo {
        display: none;


        @media (max-width: $mobile_break) {
            display: block;
            margin: 20px 0;
        }

        img {
            width: 100%;
            height: 100%;
        }
    }

    img {
        display: block;
    }

    &>ul {
        @media (max-width: $mobile_break) {
            min-height: 100vh;
        }

        @media (min-width: $mobile_break + 1) {
            transform: none !important;
        }
    }

    ul {
        display: flex;
        flex-flow: row nowrap;
        justify-content: flex-end;
        align-items: stretch;

        padding: 0;
        list-style: none;
        font-size: 13px;

        margin: 0;

        @media (max-width: $mobile_break) {
            flex-direction: column;
            align-items: center;
            justify-content: flex-start;
            text-align: center;
            font-size: 16px;
            letter-spacing: 1px;
            background: #1d855d;
            color: #fff;

            position: fixed;
            top: 0;
            max-height: 100vh;
            overflow: scroll;
        }
    }

    li {
        display: block;
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-items: center;
        font-size: 16px;
        font-weight: 400;
        letter-spacing: 1px;
        white-space: nowrap;
        position: relative;
        flex-shrink: 0;

        &.mega {
            @media (max-width: $mobile_break) {

                a,
                span {
                    display: flex;
                    flex-flow: row nowrap;
                    justify-content: center;
                    align-items: center;
                    position: relative;
                }

                .menu_item a {
                    text-align: center;
                    box-sizing: border-box;
                    padding: 10px 10px;
                }
            }

            &>a::after,
            &>span::after {
                content: '▼';
                color: #ccc;
                font-size: 9px;
                margin-left: 7px;

                @media (max-width: $mobile_break) {
                    position: absolute;
                    right: 0;
                }
            }

            &:hover ul {
                visibility: visible;
                opacity: 1;

            }

            &:last-child ul {
                left: unset;
                right: -10px;
            }

            ul {
                background: #fff;

                @media (max-width: $mobile_break) {
                    position: static;
                    transform: none;
                    background: transparent;
                    visibility: visible;
                    opacity: 1;
                }
            }
        }


        &>ul {
            box-sizing: border-box;
            display: block;
            visibility: hidden;
            position: absolute;
            left: 0;
            bottom: 0;
            transform: translateY(100%);

            opacity: 0;
            transition: opacity 200ms;

            li {
                text-transform: none;
                align-items: flex-start;
                font-size: 14px;
                font-weight: normal;

                @media (max-width: $mobile_break) {
                    font-size: 14px;
                    align-items: center;
                }
            }
        }
    }

    span,
    .menu_item a {
        text-align: center;
        padding: 10px 15px;
    }
}

#main_menu {
    color: #0009;

    .donate a {
        color: #fff;
        background: #146647;
    }
}